> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nerves-hub.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Check platform status

> Provides a simple health check to verify that the application is running, responsive, and can connect to the database.



## OpenAPI

````yaml https://manage.nervescloud.com/api/openapi get /status/alive
openapi: 3.0.0
info:
  description: >
    The NervesCloud API gives users full access to their

    Orgs, Products, and corresponding Device fleets.


    The API can be used to integrate with your own systems, providing full
    access to your Product and Device data.


    The API is documented using the OpenAPI 3.0 specification.
  title: NervesCloud API
  version: 2.0.0
servers:
  - url: https://manage.nervescloud.com
    variables: {}
security:
  - bearer_auth: []
tags:
  - description: User authentication and API token creation
    name: Auth
  - description: Organization Certificate Authority management
    name: CA Certificates
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices
  - description: Log lines Devices have sent over the logging extension
    name: Device Logs
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices (short URL)
  - description: Device Certificate management
    name: Device Certificates
  - description: Identities a Device holds on networks NervesHub does not run
    name: Network Identities
  - description: Deployment Group and release management
    name: Deployment Groups
  - description: Firmware uploading and management
    name: Firmwares
  - description: Organization iroh endpoint id registration
    name: Iroh Endpoints
  - description: Organization management
    name: Organizations
  - description: Organization User membership management
    name: Organization Members
  - description: Product management
    name: Products
  - description: Organization Signing Key management
    name: Signing Keys
  - description: Product Support Script management
    name: Support Scripts
  - description: Platform healthcheck
    name: Platform Status
paths:
  /status/alive:
    get:
      tags:
        - Platform Status
      summary: Check platform status
      description: >-
        Provides a simple health check to verify that the application is
        running, responsive, and can connect to the database.
      operationId: Status.alive
      parameters: []
      responses:
        '200':
          content:
            text/plain:
              schema:
                example: Hello, Friend!
                type: string
          description: The application is running and the database is reachable.
        '500':
          content:
            text/plain:
              schema:
                example: Sorry, Friend :(
                type: string
          description: The application is running but the database is unreachable.
      callbacks: {}
      deprecated: false
      security: []
components:
  securitySchemes:
    bearer_auth:
      scheme: bearer
      type: http

````